data:extend(
{
  {
    type = "smart-container",
    name = "field",
    icon = "__Treefarm-Mod__/graphics/icons/field.png",
    flags = {
      "placeable-neutral",
      "player-creation"
    },
    minable = {
      mining_time = 1,
      result = "field"
    },
    max_health = 20,
    collision_box = {
      {
        -0.75,
        -0.5
      },
      {
        0.25,
        0.5
      }
    },
    selection_box = {
      {
        -0.75,
        -0.5
      },
      {
        8.0,
        8.0
      }
    },
    inventory_size = 3,
    picture = {
      filename = "__Treefarm-Mod__/graphics/entity/Treefarm-Mod/field.png",
      priority = "extra-high",
      width = 512,
      height = 512
    }
  },

  {
    type = "assembling-machine",
    name = "cokery",
    icon = "__Treefarm-Mod__/graphics/icons/cokery.png",
    flags = {
      "placeable-neutral",
      "player-creation"
    },
    minable = {
      hardness = 0.2,
      mining_time = 0.5,
      result = "cokery"
    },
    max_health = 100,
    collision_box = {
      {
        -1.5,
        -2.0
      },
      {
        1.5,
        2.2
      }
    },
    selection_box = {
      {
        -1.5,
        -2.0
      },
      {
        1.5,
        2.2
      }
    },
    animation = {
      filename = "__Treefarm-Mod__/graphics/entity/Treefarm-Mod/cokery.png",
      priority = "medium",
      frame_width = 96,
      frame_height = 142,
      frame_count = 15,
      line_length = 15,
      shift = {0.35, -0.1}
    },
    crafting_categories = {
      "treefarm-mod-smelting"
    },
    effectivity = 1,
    energy_source = {
      type = "electric",
      input_priority = "secondary"
    },
    energy_usage_per_tick = 0.1,
    ingredient_count = 1
  },

  {
    type = "assembling-machine",
    name = "stone-crusher",
    icon = "__Treefarm-Mod__/graphics/icons/stone-crusher.png",
    flags = {
      "placeable-neutral",
      "player-creation"
    },
    minable = {
      hardness = 0.2,
      mining_time = 0.5,
      result = "stone-crusher"
    },
    max_health = 100,
    collision_box = {
      {
        -0.4,
        -0.4
      },
      {
        0.4,
        0.4
      }
    },
    selection_box = {
      {
        -0.5,
        -0.5
      },
      {
        0.5,
        0.5
      }
    },
    animation = {
      filename = "__Treefarm-Mod__/graphics/entity/Treefarm-Mod/stone-crusher-1.png",
      priority = "medium",
      frame_width = 32,
      frame_height = 42,
      frame_count = 17,
      line_length = 17,
      shift = {0.0, -0.1}
    },
    crafting_categories = {
      "treefarm-mod-crushing"
    },
    effectivity = 20,
    energy_source = {
      type = "electric",
      input_priority = "secondary"
    },
    energy_usage_per_tick = 0.5,
    ingredient_count = 1
  },

  {
    type = "assembling-machine",
    name = "chemical-lab",
    icon = "__Treefarm-Mod__/graphics/icons/chemical-lab.png",
    flags = {
      "placeable-neutral",
      "player-creation"
    },
    minable = {
      hardness = 0.2,
      mining_time = 0.5,
      result = "chemical-lab"
    },
    max_health = 100,
    collision_box = {
      {
        -2.0,
        -2.0
      },
      {
        2.0,
        2.0
      }
    },
    selection_box = {
      {
        -2.0,
        -2.0
      },
      {
        2.0,
        2.0
      }
    },
    animation = {
      filename = "__Treefarm-Mod__/graphics/entity/Treefarm-Mod/chemical-lab.png",
      priority = "medium",
      frame_width = 128,
      frame_height = 128,
      frame_count = 1,
      line_length = 1,
      shift = {0.0, 0.0}
    },
    crafting_categories = {
      "treefarm-mod-chemistry"
    },
    effectivity = 1,
    energy_source = {
      type = "electric",
      input_priority = "secondary"
    },
    energy_usage_per_tick = 0.5,
    ingredient_count = 4
  }
}
)
